/**
 * 
 */
package edu.cmu.mse.vault.message;

import java.io.Serializable;

import javax.ejb.EJBLocalObject;

/**
 * Local Server entity proxied by the EJB Server
 * @version 1.0
 * @since 1.0
 * @author gzenarosa
 */
public interface MessageEntity extends EJBLocalObject {
	
	/**
	 * JNDI lookup name for the ServerEntity EJB
	 */
	public static final String JNDI_NAME = "MessageEntityEJB";
	
	// accessor methods
	public void setClientID(String clientID);
	public String getClientID();
	public void setSeqNum(int seqNum);
	public int getSeqNum();
	public void setReplyMsg(Serializable replyMsg);
	public Serializable getReplyMsg();
}
