/**
 * 
 */
package edu.cmu.mse.vault.message;

import javax.ejb.CreateException;
import javax.ejb.EJBLocalHome;
import javax.ejb.FinderException;

import edu.cmu.mse.vault.message.MessageKey;
import edu.cmu.mse.vault.message.UnexpectedMessageSequenceNumberException;

/**
 * LocalHome interface for the Server entity
 * @version 1.0
 * @since 1.0
 * @author gzenarosa
 */
public interface MessageEntityHome extends EJBLocalHome {
	public MessageEntity findByPrimaryKey(MessageKey key) throws FinderException;
	public int getExpectedSequenceNumber(String clientID) throws FinderException;
	/* (non-Javadoc)
	 * @see edu.cmu.cs.mse.ftds.vault.prototype.ServerHome#create(String)
	 */
	public MessageEntity create(Message m) throws CreateException, UnexpectedMessageSequenceNumberException;
}
