/**
 * 
 */
package edu.cmu.mse.vault.message;

import javax.ejb.CreateException;

/**
 * Exception for when an unexpected sequence number is used on a new service request
 * @version 1.0
 * @since 1.0
 * @author gzenarosa
 */
public class UnexpectedMessageSequenceNumberException extends CreateException {
	private MessageKey key;
	
	public UnexpectedMessageSequenceNumberException(MessageKey key) {
		this.key = key;
	}
	
	public MessageKey getMessageKey() {
		return key;
	}
}
