package edu.cmu.mse.vault.repman;

import java.io.IOException;
import java.net.Socket;
import java.net.SocketException;
import java.util.Hashtable;
import java.util.Map;

import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

/**
 * @author Soumya
 *  
 */
public class WatchDog {

    public Map hostConnectionMap;

    public WatchDog() {
        this.hostConnectionMap = new Hashtable();

    }
    
    
    public void connectToRemoteRMINode( )
    {
        
    
    }

    public static void main(String args[]) {
        String host = args[0];
        int port = -1;
        try {
            port = Integer.parseInt(args[1]);
        } catch (NumberFormatException nfe) {
            nfe.printStackTrace();
        }

        WatchDog watchDog = new WatchDog();
        watchDog.openConnection(host, port);

        
        while (watchDog.isAlive(host)) {
            //keep checking if the socket is alive or not ?
            System.out.println("Okay the host " + host + " is still alive ...");
            
            try {
                Thread.sleep(1000);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }

        }
        
        System.out.println("The machine " + host + " died ... ");
    }

    public boolean isAlive(String hostName) {
        //boolean isAlive = false;
        Socket currentSocket = (Socket) this.hostConnectionMap.get(hostName);

        if (currentSocket == null) {
            System.err.println("Opps no socket found for the host name "
                    + hostName);
            return false;
        }

        return (currentSocket.isConnected() && currentSocket.isBound());

    }

    public void openConnection(String host, int port) {

        Socket socket = null;
        try {
            socket = new Socket(host, port);
        } catch (IOException ioe) {
            ioe.printStackTrace();
        }

        if (socket != null)
            System.out
                    .println("Successfully create a socket for the connection -> "
                            + host + " at port " + port);
        else
            System.err
                    .println("Sorry couldn't create a socket for the connection -> "
                            + host + " at port " + port);

        this.hostConnectionMap.put(host, socket);

    }

    public void closeConnnection(String host, int port) {

    }

}