/*
 * Created on Feb 14, 2005
 */
package edu.cmu.mse.vault.transaction;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Jinhee, Luisd
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public class Transaction implements Serializable{

    public static final Integer TRAN_TYPE_DEPOSIT = new Integer(0);
    public static final Integer TRAN_TYPE_WITHDRAWL  = new Integer(1);
    public static final Integer TRAN_TYPE_TRANSFER  = new Integer(2);
    
    private Integer accountID;
    private Date date;
    private Integer transType;
    private Integer transferToAccount;
    private Double transAmount;
    
    /**
     * @param accountID
     * @param date
     * @param transType
     * @param transferToAccount
     * @param transAmount
     */
    public Transaction(Integer accountID, Date date, Integer transType,
            Integer transferToAccount, Double transAmount) {
        super();
        this.accountID = accountID;
        this.date = date;
        this.transType = transType;
        this.transferToAccount = transferToAccount;
        this.transAmount = transAmount;
        System.out.println("Transaction - Account ID = " + accountID.toString());
    }
    /**
     * @return Returns the accountID.
     */
    public Integer getAccountID() {
        return accountID;
    }
    /**
     * @param accountID The accountID to set.
     */
    public void setAccountID(Integer accountID) {
        System.out.println("Transaction - Account ID = " + accountID.toString());
        this.accountID = accountID;
    }
    /**
     * @return Returns the date.
     */
    public Date getDate() {
        return date;
    }
    /**
     * @param date The date to set.
     */
    public void setDate(Date date) {
        this.date = date;
    }
    /**
     * @return Returns the transAmount.
     */
    public Double getTransAmount() {
        return transAmount;
    }
    /**
     * @param transAmount The transAmount to set.
     */
    public void setTransAmount(Double transAmount) {
        this.transAmount = transAmount;
    }
    /**
     * @return Returns the transferToAccount.
     */
    public Integer getTransferToAccount() {
        return transferToAccount;
    }
    /**
     * @param transferToAccount The transferToAccount to set.
     */
    public void setTransferToAccount(Integer transferToAccount) {
        this.transferToAccount = transferToAccount;
    }
    /**
     * @return Returns the transType.
     */
    public Integer getTransType() {
        return transType;
    }
    /**
     * @param transType The transType to set.
     */
    public void setTransType(Integer transType) {
        this.transType = transType;
    }
}