package edu.cmu.mse.vault.transaction;

import java.io.Serializable;
import java.sql.Date;

/**
 * @author minwang
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public class TransactionRow implements Serializable{

	private int transID;

	private int accountID;

	private Date transDate;

	private int transType;

	private int transferToAccount;

	private double transAmount;
	
	private final static String COMMA = ",";

	/**
	 * @param transID
	 * @param accountID
	 * @param transDate
	 * @param transType
	 * @param transferToAccount
	 * @param transAmount
	 */
	public TransactionRow(int transID, int accountID, Date transDate,
			int transType, int transferToAccount, double transAmount) {
		super();
		this.setTransID(transID);
		this.setAccountID(accountID);
		this.setTransDate(transDate);
		this.setTransType(transType);
		this.setTransferToAccount(transferToAccount);
		this.setTransAmount(transAmount);
	}

	public TransactionRow() {
	}

	/**
	 * @return Returns the accountID.
	 */
	public int getAccountID() {
		return accountID;
	}

	/**
	 * @return Returns the transAmount.
	 */
	public double getTransAmount() {
		return transAmount;
	}

	/**
	 * @return Returns the transDate.
	 */
	public Date getTransDate() {
		return transDate;
	}

	/**
	 * @return Returns the transferToAccount.
	 */
	public int getTransferToAccount() {
		return transferToAccount;
	}

	/**
	 * @return Returns the transID.
	 */
	public int getTransID() {
		return transID;
	}

	/**
	 * @return Returns the transType.
	 */
	public int getTransType() {
		return transType;
	}

	/**
	 * @param accountID
	 *            The accountID to set.
	 */
	public void setAccountID(int accountID) {
		this.accountID = accountID;
	}

	/**
	 * @param transAmount
	 *            The transAmount to set.
	 */
	public void setTransAmount(double transAmount) {
		this.transAmount = transAmount;
	}

	/**
	 * @param transDate
	 *            The transDate to set.
	 */
	public void setTransDate(Date transDate) {
		this.transDate = transDate;
	}

	/**
	 * @param transferToAccount
	 *            The transferToAccount to set.
	 */
	public void setTransferToAccount(int transferToAccount) {
		this.transferToAccount = transferToAccount;
	}

	/**
	 * @param transID
	 *            The transID to set.
	 */
	public void setTransID(int transID) {
		this.transID = transID;
	}

	/**
	 * @param transType
	 *            The transType to set.
	 */
	public void setTransType(int transType) {
		this.transType = transType;
	}

    public String toString()
    {
    	StringBuffer buffer = new StringBuffer();
    	buffer.append("TransactionID: ").append(transID).append(COMMA);
    	buffer.append("AccountID: ").append(accountID).append(COMMA);
    	buffer.append("Transaction Date: " ).append(transDate).append(COMMA);
    	buffer.append("Transaction Type: " ).append(transType).append(COMMA);
    	buffer.append("Transaction to: " ).append(transferToAccount).append(COMMA);
    	buffer.append("Transaction Amount: " ).append(transAmount).append(COMMA);
    	return buffer.toString();
    }
}