/*
 * Created on Feb 13, 2005
 *
 * Copyright Soumya
 */
package edu.cmu.mse.vault.util;

import java.util.Iterator;
import java.util.Map;

/**
 * @author Soumya
 *  
 */

public class VaultUtil {

	public static final String EMPTY_STRING = "";

	public static boolean isNullOrBlank(String input) {
		return (input == null || input.equals(EMPTY_STRING));
	}

	public static String printJndiContext(Map jndiData) {
		if (jndiData == null)
			return "JNDI data is null ....";

		StringBuffer buffer = new StringBuffer();
		Iterator iter = jndiData.keySet().iterator();
		String key = null;
		buffer.append("---------------- JNDI MAP contains -------------- \n");
		while (iter.hasNext()) {

			Object obj = iter.next();
			
			if( obj instanceof String )
				key = (String)obj;
			else
				buffer.append("The class of the key is " + obj.getClass().getName());
			
			Object value = jndiData.get(key);
			
			if( value instanceof String )
				buffer.append(" ").append( value ).append("\n");
			else 
				buffer.append(" ").append( value.getClass().getName());
			
		}
		buffer.append("---------------------------------------------------\n");

		return buffer.toString();
	}

}